# coding: utf-8
u"""Параметры фильтрации ввода для различного типа полей (ИНН, СНИЛС и тд.).

Примеры использования:

    from educommon.extjs.fields.input_params import snils_field_params

    snils_field = ExtStringField(name='person.snils',
                                 label=u'Номер СНИЛС',
                                 **snils_field_params)
"""

# параметры для поля ввода СНИЛС
snils_field_params = dict(
    input_mask='###-###-### ##',
    regex=r'^\d{3}-\d{3}-\d{3} \d{2}$'
)

# параметры для поля ввода ИНН юр.лица или физ.лица
inn_field_params = dict(
    input_mask='############',
    regex=r'^\d{10}(\d{2})?$'
)

# параметры для поля ввода ИНН юр. лица
inn10_field_params = dict(
    input_mask='##########',
    regex=r'^\d{10}$'
)

# параметры для поля ввода ИНН физ.лица или ИП
inn12_field_params = dict(
    input_mask='############',
    regex=r'^\d{12}$'
)
